// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_AGENTS_AGENT_H
#define DDICORE_40_PIM_CLASSES_AGENTS_AGENT_H

/************************************************************
 Agent class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Agents/Pkg_Agents.h"

#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/AgentId.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/PrivateImage.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Agents {

/************************************************************/
/**
 * Definition
 * ============
 * An actor that performs a role in relation to a process or product.
 * 
 * Examples
 * ==========
 * Analyst performing edits on data, interviewer conducting an interview, a relational database management system managing data, organization publishing data on a regular basis, creator or contributor of a publication.
 * 
 * Explanatory notes
 * ===================
 * foaf:Agent is: An agent (eg. person, group, software or physical artifact)
 * prov:Agent is An agent is something that bears some form of responsibility for an activity taking place, for the existence of an entity, or for another agent's activity.
 * 
 * Synonyms
 * ==========
 * Agent
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Agent: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * An identifier within a specified system for specifying an agent
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::AgentId hasAgentId[];

	/**
	 * References an image using the standard Image description. In addition to the standard attributes provides an effective date (period), the type of image, and a privacy ranking.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::PrivateImage image[];

	/**
	 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Agents
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Agent class header
 ************************************************************/

#endif
