// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPT_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPT_H

/************************************************************
 Concept class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LabelForDisplay.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * unit of thought differentiated by characteristics [GSIM 1.1]
 * 
 * Examples
 * ==========
 * Poverty, Income, Household relationship, Family, Gender, Business Establishment, Satisfaction, etc.
 * 
 * Explanatory notes
 * ===================
 * Many DDI4 classes are subtypes of the Concept class including Category, Universe, UnitType, ConceptualVariable. This class realizes the pattern class Signified and as such a Concept can be denoted by a Sign.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * c:ConceptType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Concept
 */
class Concept: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * Natural language statement conveying the meaning of a concept, differentiating it from other concepts. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString definition;

	/**
	 * A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::LabelForDisplay displayLabel[];

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Concept class header
 ************************************************************/

#endif
