// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_DATASTRUCTURES_COMPONENTS_DIMENSIONCOMPONENT_H
#define DDICORE_40_PIM_CLASSES_DATASTRUCTURES_COMPONENTS_DIMENSIONCOMPONENT_H

/************************************************************
 DimensionComponent class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/DataStructures/Components/Pkg_Components.h"

#include "DDICore_40_PIM/Classes/DataStructures/Components/DataStructureComponent.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/DimensionalDataStructure.h"
#include "DDICore_40_PIM/Classes/DataStructures/KeyValue/KeyValueStructure.h"
#include "DDICore_40_PIM/Classes/Representations/ValueDomain.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace DataStructures {
namespace Components {

/************************************************************/
/**
 * Definition
 * ============
 * role given to a Represented Variable in the context of a Data Structure, which supplies meaning to a cell in a multi-dimensional structure
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * The categories from each dimension often are used to identify a cell. However, the meaning of the combination of the categories supplies meaning to the cell.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
class DimensionComponent: public DataStructureComponent {
public:

	/**
	 * True if Categories can be added together (collapsed together) to create higher level Categories.  An example would be age categories. Five year age categories can be collapsed into 10 year age categories.
	 * 
	 */
	::PrimitiveTypes::Boolean categoricalAdditivity;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::KeyValue::KeyValueStructure;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Representations::ValueDomain;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Dimensional::DimensionalDataStructure;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Components
} // of namespace DataStructures
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of DimensionComponent class header
 ************************************************************/

#endif
