// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CLASSIFICATIONINDEX_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CLASSIFICATIONINDEX_H

/************************************************************
 ClassificationIndex class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Agents/Agent.h"
#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/Classes/Representations/IndexEntryRelationStructure.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ClassificationIndexEntryIndicator.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CommandCode.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Date.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"
#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * ordered list (alphabetical, in code order etc) of Classification Index Entries
 * 
 * Examples
 * ==========
 * An alphabetical index of a topically ordered Statistical Classification
 * 
 * Explanatory notes
 * ===================
 * A Classification Index shows the relationship between text found in statistical data sources (responses to survey questionnaires, administrative records) and one or more Statistical Classifications.  A Classification Index may be used to assign the codes for Classification Items to observations in statistical collections. 
 * A Statistical Classification is a subtype of a Structured Collection.  [GSIM Statistical Classification Model]  Note that a GSIM Node is the equivalent of a DDI Member and a GSIM Node Set is a DDI Collection.
 * A Classification Index can relate to one particular or to several Statistical Classifications. [GSIM Statistical Classification Model]
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Classification Index
 */
class ClassificationIndex: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * A Classification Index can exist in several languages. Indicates the languages available. If a Classification Index exists in several languages, the number of entries in each language may be different, as the number of terms describing the same phenomenon can change from one language to another. However, the same phenomena should be described in each language. Supports the indication of multiple languages within a single property. Supports use of codes defined by the RFC 1766.
	 */
	language availableLanguage[];

	/**
	 * Additional information which drives the coding process for all entries in a Classification Index.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::CommandCode codingInstruction[];

	/**
	 * Allows for the identification of the member and optionally provides an index for the member within an ordered array
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ClassificationIndexEntryIndicator contains[];

	/**
	 * Verbal summary description of corrections, which have occurred within the Classification Index. Corrections include changing the item code associated with an Classification Index Entry.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalString corrections[];

	/**
	 * If members are ordered set to true, if unordered set to false.
	 */
	::PrimitiveTypes::Boolean isOrdered;

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Concept [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Agents::Agent [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Agents::Agent;

	/**
	 * 
	 */
	IndexEntryRelationStructure [];

	/**
	 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * Date when the current version of the Classification Index was released.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::Date releaseDate;

	/**
	 * Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.
	 */
	::DDICore_40_PIM::Classes::Enumerations::CollectionType type;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ClassificationIndex class header
 ************************************************************/

#endif
