// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CORRESPONDENCETABLE_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CORRESPONDENCETABLE_H

/************************************************************
 CorrespondenceTable class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Agents/Agent.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/Classes/Representations/LevelStructure.h"
#include "DDICore_40_PIM/Classes/Representations/StatisticalClassification.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Map.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * set of relationships between the members within or between StatisticalClassifications
 * 
 * Examples
 * ==========
 * Correspondence between the U.S. Standard Industrial Classification (SIC) and North American Industrial Classification System (NAICS)
 * 
 * Explanatory notes
 * ===================
 * CorrespondenceTables are used with Statistical Classifications. For instance, it can relate two versions from the same Classification Series; Statistical Classifications from different Classification Series; a variant and the version on which it is based; or, different versions of a variant. In the first and last examples, the Correspondence Table facilitates comparability over time.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Correspondence Table
 */
class CorrespondenceTable: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * Set of mappings between nodes that participate in the correspondence.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::Map correspondence[];

	/**
	 * Effective period of validity of the CorrespondenceTable. The correspondence table expresses the relationships between the two NodeSets as they existed on the period specified in the table.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::DateRange effectiveDates;

	/**
	 * 
	 */
	LevelStructure;

	/**
	 * 
	 */
	LevelStructure;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Agents::Agent [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Agents::Agent [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Agents::Agent;

	/**
	 * 
	 */
	StatisticalClassification [];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CorrespondenceTable class header
 ************************************************************/

#endif
