// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_AREACOVERAGE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_AREACOVERAGE_H

/************************************************************
 AreaCoverage class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Use to specify the area of land, water, total or other area coverage in terms of square miles/kilometers or other measure as part of a Geographic Extent.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:AreaCoverageType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class AreaCoverage {
public:

	/**
	 * The area measure expressed as a decimal for the measurement unit designated.
	 */
	::PrimitiveTypes::Real areaMeasure;

	/**
	 * Records the measurement unit, for example, Square Kilometer, Square Mile. Supports the use of an external controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry measurementUnit;

	/**
	 * Specify the type of area covered i.e. Total, Land, Water, etc. Supports the use of an external controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfArea;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of AreaCoverage class header
 ************************************************************/

#endif
