// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_COMMANDFILE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_COMMANDFILE_H

/************************************************************
 CommandFile class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalString.h"
#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Identifies and provides a link to an external copy of the command, for example, a SAS Command Code script. Designates the programming language of the command file, a description of the location of the file , and a URN or URL for the command file.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:CommandFileType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CommandFile {
public:

	/**
	 * A description of the location of the file. This may not be machine actionable. It supports a description expressed in multiple languages.
	 */
	InternationalString location;

	/**
	 * Designates the programming language used for the command. Supports the use of a controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry programLanguage;

	/**
	 * The URL or URN of the command file.
	 */
	anyURI uri;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CommandFile class header
 ************************************************************/

#endif
