// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_INSTANCEVARIABLEVALUEMAP_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_INSTANCEVARIABLEVALUEMAP_H

/************************************************************
 InstanceVariableValueMap class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Conceptual/InstanceVariable.h"
#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CorrespondenceType.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ValueString.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A key value relationship for two or more logical records where the key is one or more equivalent instance variables and the value is a defined relationship or a relationship to a set value. Correspondence type refers to the variables themselves rather than the value of the variables concerned. In this context Correspondence type will normally be set to ExactMatch.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * Logical Records: Household and Person, Key: Household ID (HHID in Household Record, HHIDP in Person Record), ValueRelaitonship: Equal, Set Value: n.a.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class InstanceVariableValueMap {
public:

	/**
	 * Describes the relationship between the source and target members using both controlled vocabularies and descriptive text. In this context the correspondence refers to the two instance variables, not their value. The relationship would normally be exactMatch.
	 */
	CorrespondenceType hasCorrespondenceType;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::InstanceVariable [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::InstanceVariable [];

	/**
	 * A set value for the key source Instance Variables
	 */
	ValueString setValue;

	/**
	 * Relationship between the source and target InstanceVariables or to the setValue if provided
	 */
	::DDICore_40_PIM::Classes::Enumerations::ValueRelationshipType valueRelationship;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of InstanceVariableValueMap class header
 ************************************************************/

#endif
