// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_NUMBERRANGE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_NUMBERRANGE_H

/************************************************************
 NumberRange class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DoubleNumberRangeValue.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LabelForDisplay.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/NumberRangeValue.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Structures a numeric range. Low and High values are designated. The structure identifies Low values that should be treated as bottom coded (Stated value and bellow, High values that should be treated as top coded (stated value and higher), and provides a regular expression to further define the valid content of the range.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:NumberRangeType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class NumberRange {
public:

	/**
	 * A display label for the number range. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.
	 */
	LabelForDisplay displayLabel[];

	/**
	 * High or top value on the range expressed as an xs:decimal within an isInclusive Boolean flag.
	 */
	NumberRangeValue highCode;

	/**
	 * High or top value on the range expressed as an xs:double within an isInclusive Boolean flag.
	 */
	DoubleNumberRangeValue highCodeDouble;

	/**
	 * Default value is False. The Low or bottom code represents the value expressed and anything lower.
	 */
	::PrimitiveTypes::Boolean isBottomCoded;

	/**
	 * Default value is False. The High or top code represents the value expressed and anything higher.
	 */
	::PrimitiveTypes::Boolean isTopCoded;

	/**
	 * High or top value on the range expressed as an xs:decimal within an isInclusive Boolean flag.
	 */
	NumberRangeValue lowCode;

	/**
	 * Low or bottom value on the range expressed as an xs:double within an isInclusive Boolean flag.
	 */
	DoubleNumberRangeValue lowCodeDouble;

	/**
	 * Regular expression defining the allowed syntax of the number.
	 */
	::PrimitiveTypes::String regExp;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of NumberRange class header
 ************************************************************/

#endif
