// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_STATISTIC_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_STATISTIC_H

/************************************************************
 Statistic class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * The value of the statistic expressed as an xs:decimal and/or xs:double. Indicates whether it is weighted value and the computation base.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * pi:StatisticType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Statistic {
public:

	/**
	 * Defines the cases included in determining the statistic. The options are total=all cases, valid and missing (invalid); validOnly=Only valid values, missing (invalid) are not included in the calculation; missingOnly=Only missing (invalid) cases included in the calculation.
	 */
	::DDICore_40_PIM::Classes::Enumerations::ComputationBaseList computationBase;

	/**
	 * The value of the statistic expressed as a decimal, float, or double.
	 */
	::PrimitiveTypes::Real content;

	/**
	 * Set to "true" if the statistic is weighted using the weight designated in VariableStatistics.
	 */
	::PrimitiveTypes::Boolean isWeighted;

	/**
	 * Indicate the type of numeric value as decimal, float, double
	 */
	::PrimitiveTypes::String typeOfNumericValue;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Statistic class header
 ************************************************************/

#endif
