// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Conceptual;

/************************************************************/
/**
 * Definition
  * ============
  * Concept System where the underlying Concepts are Categories and are used as specifications for a generalized concept
  * 
  * Examples
  * ==========
  * "Male" and "Female" categories in a CategorySet named "Gender"
  * 
  * A CategorySet for an occupational classification system like ISCO-08 could use a ClassificationRelationStructure to describe a hierarchy (Chief Executives and Administrative and Commercial Managers as subtypes of Managers) without an associated Code List.
  * 
  * Explanatory notes
  * ===================
  * Can be used directly by questions to express a set of categories for a response domain or as the related source for a CodeList or StatisticalClassification
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class CategorySet extends ConceptSystem
 {
				/**
				 * MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array
				 */
				public CategoryIndicator[] contains;
				/**
				 * 
				 */
				public CategoryRelationStructure[] ;
};
