// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.FormatDescription;

import DDICore_40_PIM.Classes.Enumerations.RelationSpecification;
import DDICore_40_PIM.Classes.Enumerations.TotalityType;
import DDICore_40_PIM.Classes.Identification.Identifiable;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ValueMappingRelation;

/************************************************************/
/**
 * Definition
  * ============
  * A realization of RelationStructure that is used to describe the sequence of Value Mappings in a Physical Layout. This can be more complex than a simple sequence. 
  * 
  * Examples
  * ==========
  * The W3C Tabular Data on the Web specification allows for a list datatype. In the example below there are three top level InstanceVariables
  * PersonID  the person identifier
  * AgeYr  age in year
  * BpSys_Dia  blood pressure (a list containing Systolic and Diastolic values)
  * 
  * There are two variables at a secondary level of the hierarchy
  * Systolic  the systolic pressure
  * Diastolic  the diastolic pressure
  * 
  * The delimited file below uses the comma to separate "columns" and forward slash to separate elements of a blood pressure list.
  * 
  * PersonID, AgeYr, BpSys_Dia
  * 1,22,119/67
  * 2,68,122/70
  * 
  * The PhysicalRelationStructure in this case would describe a BpSys_Dia  list variable as containing an ordered sequence of the Systolic and Diastolic InstanceVariables.
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class PhysicalLayoutRelationStructure extends Identifiable {
	/**
	 * Intensional definition of the order criteria (e.g. alphabetical, numerical, increasing, decreasing, etc.)
	 */
	public InternationalStructuredString criteria;
	/**
	 * Specifics of relations between InstanceVariables in the PhysicalLayout
	 */
	public ValueMappingRelation[] hasMemberRelation;
	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.
	 */
	public RelationSpecification hasRelationSpecification;
	/**
	 * Provides semantic context for the relationship
	 */
	public ExternalControlledVocabularyEntry semantic;
	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	public TotalityType totality;
};
