// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;

/************************************************************/
/**
 * Definition
  * ============
  * Use to specify the area of land, water, total or other area coverage in terms of square miles/kilometers or other measure as part of a Geographic Extent.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * r:AreaCoverageType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class AreaCoverage {
	/**
	 * The area measure expressed as a decimal for the measurement unit designated.
	 */
	public float areaMeasure;
	/**
	 * Records the measurement unit, for example, Square Kilometer, Square Mile. Supports the use of an external controlled vocabulary.
	 */
	public ExternalControlledVocabularyEntry measurementUnit;
	/**
	 * Specify the type of area covered i.e. Total, Land, Water, etc. Supports the use of an external controlled vocabulary.
	 */
	public ExternalControlledVocabularyEntry typeOfArea;
};
