// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.Classes.LogicalDataDescription.LogicalRecord;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.CommandCode;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;

/************************************************************/
/**
 * Definition
  * ============
  * A BusinessProcess precondition or post condition which describes the condition which must be met to begin (pre) or exit (post) a process. It may use a specified LogicalRecord. The Logical Record has SQL that describes it, rejectionCriteria against which its adequacy may be tested and an optional annotation that describes its provenance.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class BusinessProcessCondition {
				/**
				 * Provides an alternative to or supplements the SQL data description.
				 */
				public InternationalStructuredString[] dataDescription;
				/**
				 * 
				 */
				public LogicalRecord ;
				/**
				 * Criteria for failing an input dataset
				 */
				public CommandCode rejectionCriteria;
				/**
				 * SQL SELECT statement that describes the selection of the LogicalRecord from the Dataset
				 */
				public String sql;
};
